package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaProgressDetail;
import com.ruoyi.oa.domain.vo.OaProgressDetailVo;
import com.ruoyi.oa.domain.bo.OaProgressDetailBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 进度扩展Service接口
 *
 * @author hdka2
 * @date 2025-04-14
 */
public interface IOaProgressDetailService {

    /**
     * 查询进度扩展
     */
    OaProgressDetailVo queryById(Long detailId);

    /**
     * 查询进度扩展列表
     */
    TableDataInfo<OaProgressDetailVo> queryPageList(OaProgressDetailBo bo, PageQuery pageQuery);

    /**
     * 查询进度扩展列表
     */
    List<OaProgressDetailVo> queryList(OaProgressDetailBo bo);

    /**
     * 新增进度扩展
     */
    Boolean insertByBo(OaProgressDetailBo bo);

    /**
     * 修改进度扩展
     */
    Boolean updateByBo(OaProgressDetailBo bo);

    /**
     * 校验并批量删除进度扩展信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
